cutlass::thread Namespace Reference

## Classes

class | Matrix
| Per-thread matrix object storing a packed matrix. More...

## Typedefs

template<typename Element , int Rows, typename Layout = layout::ColumnMajor>
using | ColumnVector = Matrix< Element, Rows, 1, Layout >
| Column vector defined as a matrix with exactly one column. More...
template<typename Element , int Columns, typename Layout = layout::RowMajor>
using | RowVector = Matrix< Element, 1, Columns, Layout >
| Row vector defined as a matrix with exactly one row. More...

## Typedef Documentation

template<typename Element , int Rows, typename Layout = layout::ColumnMajor>

using cutlass::thread::ColumnVector = typedef Matrix<Element, Rows, 1, Layout>

template<typename Element , int Columns, typename Layout = layout::RowMajor>

using cutlass::thread::RowVector = typedef Matrix<Element, 1, Columns, Layout>